This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 136149 - missing return statement
missing return statement
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dvgrab (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-18 07:48 EDT by David Binderman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-18 07:50:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-10-18 07:48:04 EDT
Description of problem:

I just tried to compile package dvgrab-1.6-1 from package
Redhat Fedora Core 3 Test 3.

The compiler said

smiltime.cc(349): warning #1011: missing return statement at end of
non-void function "SMIL::Time::serialise"

The source code is

string Time::serialise()
{
        toString();
}

Might be worthwhile putting in a return statement at the end of
the function.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Warren Togami 2004-10-18 07:50:32 EDT
Unless this is an actual software defect that causes bad behavior or
crashes, is it inappropriate to complain about compiler warnings here.
 Please make sure this is fixed at the upstream dvgrab project.
Comment 2 David Binderman 2005-03-09 09:24:24 EST
>Unless this is an actual software defect that causes bad behavior

Returning stack rubbish to the caller is one of the oldest C++ mistakes
in the book.

I'm surprised the C++ compiler accepts this code. It is a certain
software defect every time this code is executed.

Note You need to log in before you can comment on or make changes to this bug.